<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.a.sds.std.cmd</name>
<version>1</version>
<engineversion>25</engineversion>
<description>Description</description>
<arguments>
<argument index="1" name="debug" type="Var/Number" desc="Logging" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$list.correct&#160;=&#160;</var><var>null</var></line>
<line linenr="002" indent=""><var>$source.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'a.sds.source.list'</var></line>
<line linenr="003" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$source.list</var></line>
<line linenr="004" indent="&#160;"><var>$list.correct&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="005" indent=""><var>skip&#160;if&#160;</var><var>$source.list</var></line>
<line linenr="006" indent="&#160;"><var>$source.list&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>$destination.list&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'a.sds.destination.list'</var></line>
<line linenr="009" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$destination.list</var></line>
<line linenr="010" indent="&#160;"><var>$list.correct&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="011" indent=""></line>
<line linenr="012" indent=""><var>skip&#160;if&#160;</var><var>$destination.list</var></line>
<line linenr="013" indent="&#160;"><var>$destination.list&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="014" indent=""></line>
<line linenr="015" indent=""><var>skip&#160;if&#160;</var><var>$list.correct</var></line>
<line linenr="016" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.a.sds.messages</call><text>&#160;:&#160;</text><text>&#160;message=</text><var>'warelist'</var></line>
<line linenr="017" indent=""></line>
<line linenr="018" indent=""><var>while&#160;</var><var>$list.correct</var></line>
<line linenr="019" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>200</var><text>&#160;ms</text></line>
<line linenr="020" interruptable="@" indent="&#160;"><var>$RetVar&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.a.sds.main</call><text>&#160;:&#160;</text><text>&#160;sourcelist&#160;of&#160;stations-ware=</text><var>$source.list</var><text>&#160;</text><text>&#160;destinationlist&#160;of&#160;station-ware&#160;=</text><var>$destination.list</var><text>&#160;</text><text>&#160;debug=</text><var>$debug</var></line>
<line linenr="021" indent="&#160;"><var>if&#160;</var><var>$RetVar</var></line>
<line linenr="022" indent="&#160;&#160;"><var>if&#160;</var><var>$RetVar</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'start'</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><text>continue</text></line>
<line linenr="024" indent="&#160;&#160;"><text>else</text></line>
<line linenr="025" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.a.sds.messages</call><text>&#160;:&#160;</text><text>&#160;message=</text><var>$RetVar</var><text>&#160;</text><text>&#160;???=</text><var>null</var><text>&#160;</text><text>&#160;???=</text><var>null</var></line>
<line linenr="026" indent="&#160;&#160;"><text>end</text></line>
<line linenr="027" indent="&#160;"><text>end</text></line>
<line linenr="028" indent="&#160;"><text>break</text></line>
<line linenr="029" indent=""><text>end</text></line>
<line linenr="030" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>null</var></line>
<line linenr="031" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;wanted&#160;ware&#160;to&#160;</text><var>null</var></line>
<line linenr="032" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;wanted&#160;ware&#160;count&#160;to&#160;</text><var>0</var></line>
<line linenr="033" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.a.sds.std.cmd" /><sval type="int" val="25" /><sval type="string" val="Description" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="5"><sval type="string" val="debug" /><sval type="string" val="list.correct" /><sval type="string" val="source.list" /><sval type="string" val="destination.list" /><sval type="string" val="RetVar" /></sval><sval type="array" size="27"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="a.sds.source.list" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611704" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536869369" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="a.sds.destination.list" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610424" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536868089" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536867577" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.a.sds.messages" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="warelist" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606839" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="200" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.a.sds.main" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607357" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607613" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="start" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="13" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="21" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.a.sds.messages" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="650" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="649" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Logging" /></sval></sval><sval type="array" size="10"><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
